////////////////////////////////////////////////////////////////////////////////
// Copyright 2010 Michael Schmalle - Teoti Graphix, LLC
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
// http://www.apache.org/licenses/LICENSE-2.0 
// 
// Unless required by applicable law or agreed to in writing, software 
// distributed under the License is distributed on an "AS IS" BASIS, 
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and 
// limitations under the License
// 
// Author: Michael Schmalle, Principal Architect
// mschmalle at teotigraphix dot com
////////////////////////////////////////////////////////////////////////////////

package org.as3commons.asblocks.parser.api
{

/**
 * The <strong>KeyWords</strong> enumeration of <strong>actionscript3</strong> 
 * keywords.
 * 
 * <p>Initial API; Adobe Systems, Incorporated</p>
 * 
 * @author Adobe Systems, Incorporated
 * @author Michael Schmalle
 * @productversion 1.0
 */
public class KeyWords
{
	public static const AS:String = "as";
	
	public static const BREAK:String = "break";
	
	public static const CASE:String = "case";
	
	public static const CATCH:String = "catch";
	
	public static const CLASS:String = "class";
	
	public static const CONFIG:String = "CONFIG";
	
	public static const CONST:String = "const";
	
	public static const CONTINUE:String = "continue";
	
	public static const DEFAULT:String = "default";
	
	public static const DELETE:String = "delete";
	
	public static const DO:String = "do";
	
	public static const DYNAMIC:String = "dynamic";
	
	public static const EACH:String = "each";
	
	public static const ELSE:String = "else";
	
	public static const EOF:String = "__END__";
	
	public static const EXTENDS:String = "extends";
	
	public static const FALSE:String = "false";
	
	public static const FINAL:String = "final";
	
	public static const FINALLY:String = "finally";
	
	public static const FOR:String = "for";
	
	public static const FUNCTION:String = "function";
	
	public static const GET:String = "get";
	
	public static const IF:String = "if";
	
	public static const IMPLEMENTS:String = "implements";
	
	public static const IMPORT:String = "import";
	
	public static const IN:String = "in";
	
	public static const INCLUDE:String = "include";
	
	public static const INSTANCE_OF:String = "instanceof";
	
	public static const INTERFACE:String = "interface";
	
	public static const INTERNAL:String = "internal";
	
	public static const IS:String = "is";
	
	public static const NAMESPACE:String = "namespace";
	
	public static const NEW:String = "new";
	
	public static const NULL:String = "null";
	
	public static const NAN:String = "NaN";
	
	public static const OVERRIDE:String = "override";
	
	public static const PACKAGE:String = "package";
	
	public static const PRIVATE:String = "private";
	
	public static const PROTECTED:String = "protected";
	
	public static const PUBLIC:String = "public";
	
	public static const RETURN:String = "return";
	
	public static const SET:String = "set";
	
	public static const STATIC:String = "static";
	
	public static const SUPER:String = "super";
	
	public static const SWITCH:String = "switch";
	
	public static const THIS:String = "this";
	
	public static const THROW:String = "throw";
	
	public static const TRUE:String = "true";
	
	public static const TRY:String = "try";
	
	public static const TYPEOF:String = "typeof";
	
	public static const UNDEFINED:String = "undefined";
	
	public static const USE:String = "use";
	
	public static const VAR:String = "var";
	
	public static const VOID:String = "void";
	
	public static const WHILE:String = "while";
	
	public static const WITH:String = "with";
	
	public static const XML:String = "xml";
}
}